// Package
package zeroslackr.installer;

import java.io.File;

// Imports

/**
 * ExtractTest.
 * <p>
 * Tester for extract and Md5 methods of the Tools class
 * <p>
 * For Mr. Benum, 
 * Comp Info Sci, ICS4M2
 * <p>
 * Licensed under <A HREF="http://www.gnu.org/licenses/gpl.txt">GNU GPL (Version 3)</A>. 
 * <p>
 * @author	Philip Peng
 * @version	X.X 31-Dec-07
 */

public class ExtractTest {

	// Variables

	// Methods

	public static void main(String[] args) {
		final String dest = "_Blah" + File.separatorChar; 
		String dest2 = "_Blah/bin/poopy";
		try {
			//Tools.extract("podzilla2.tar.gz", (dest + "bin"));
			//Tools.extract("svn_modules.tar.gz", (dest + "usr" + File.separatorChar + "lib"));
			//Tools.extract("loader2.tar.gz", (dest));
			//Tools.extract("Linux-2.4.32-cc.bin.gz", (dest + "linux.bin"));
			
			System.out.println(Tools.getMd5("svn_modules.tar.gz"));
		} catch (Exception e) {
			e.printStackTrace();
		}
		System.out.println("Done.");
	}

}
